FcPatternAdd-Type(3)

NAME
FcPatternAddInteger, FcPatternAddDouble, FcPatternAddString, FcPatternAddMatrix, FcPatternAddCharSet, FcPatternAddBool - Add a typed value to a pattern

SYNOPSIS

#include <fontconfig.h>

FcBool FcPatternAddInteger (FcPattern *p, const char *object, inti);

FcBool FcPatternAddDouble (FcPattern *p, const char *object, doubled);

FcBool FcPatternAddString (FcPattern *p, const char *object, const char *s);

FcBool FcPatternAddMatrix (FcPattern *p, const char *object, const FcMatrix *m);

FcBool FcPatternAddCharSet (FcPattern *p, const char *object, const FcCharSet *c);

FcBool FcPatternAddBool (FcPattern *p, const char *object, FcBoolb);

DESCRIPTION

These are all convenience functions that insert objects of the specified type into the pattern. Use these in preference to FcPatternAdd as they will provide compile-time typechecking. These all append values to any existing list of values.

VERSION

Fontconfig version 2.2.2